<?php
 
session_start();

if (isset($_POST['enter'])) {
    if ((isset($_POST['name'])) and ($_POST['name'] != "")) {
	    $_SESSION['name'] = stripslashes(htmlspecialchars($_POST['name']));
	    $logout_message = "<div class='msgln'><span class='left-info'>Bonjour <b class='user-name-left'>". $_SESSION['name'] ."</b></span><br></div>";
            file_put_contents("log.html", $logout_message, FILE_APPEND | LOCK_EX);
    } else {
	header('location: index.php?error=true');
    }
} else { // On a triché pour arriver là
    header('location: index.php?error=true');
}

function obtenir_contenu_fichier($fichier) {
    if(file_exists($fichier) && filesize($fichier) > 0){
       	return file_get_contents($fichier);  
    } else {
	return "";
    }
}
?>
<!DOCTYPE html>
<html lang="fr">
    <head>
        <meta charset="utf-8" />
 
        <title>Exemple de chat</title>
        <meta name="description" content="Exemple de chat" />
        <link rel="stylesheet" href="style.css" />
    </head>
    <body>
         <div id="wrapper">
            <div id="menu">
                <p class="welcome">Bienvenue, <b><?php echo $_SESSION['name']; ?></b></p>
                <p class="logout"><a id="exit" href="#">Quitter</a></p>
            </div>
 
            <div id="chatbox">
            <?php
                echo obtenir_contenu_fichier("log.html");
            ?>
            </div>
 
            <form name="message" action="">
                <input name="usermsg" type="text" id="usermsg" />
                <input name="submitmsg" type="submit" id="submitmsg" value="Envoyer" />
            </form>
        </div>
        <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
	<script type="text/javascript" src="fonctions.js"></script>
	<script type="text/javascript">
		// on lance "association" lorsque la page est prête
         $(document).ready(associations);


	</script>
    </body>
</html>

