// On poste le message
function poster_message() {
    var clientmsg = $("#usermsg").val(); // on récupère le texte
    $.post("post.php", { text: clientmsg }); // on l'envoie via "post.php"
    $("#usermsg").val(""); // on vide le texte
    return false; // Cela a certainement une utilité...
}

// Pour remplacer la fenêtre du chat avec le code html donné
function rafraichir_chat(html) {
    var oldscrollHeight = $("#chatbox")[0].scrollHeight - 20; // On sauvegarde la position du chat		
    $("#chatbox").html(html); //On met le code dans le div #chatbox 

    //Auto-scroll           
    var newscrollHeight = $("#chatbox")[0].scrollHeight - 20; // On calcule la nouvelle hauteur
    if(newscrollHeight > oldscrollHeight){
	$("#chatbox").animate({ scrollTop: newscrollHeight }, 'normal'); // On auto-scroll
    }   
}

// Pour récupérer le texte du chat depuis le serveur
function loadLog() {
    $.ajax({
	url: "log.html",
	cache: false,   // pour obliger le serveur à renvoyer le fichier
	success: rafraichir_chat,  // Si ça marche, on lance la mise à jour
    });
}


// Ce qui va se passer quand on va appuyer sur le bouton pour quitter
function quitter() {
    // On demande la confirmation
    //var exit = confirm("Vous êtes sûr de vouloir quitter ?");
    //if (exit == true) {
        window.location = "index.php?logout=true"; // On se redirige
    //}
};

// la fonction pour associer les boutons aux fonctions
// et rafraîchir automatiquement le chat
function associations() {
    // Quand on valide un message, on utilisera "poster_message"
    $("#submitmsg").click(poster_message);
    // On refraichit toutes les 2,5s
    setInterval (loadLog, 2500);
    // On associe le bouton "exit" avec la fonction "quitter"
    $("#exit").click(quitter);
}

