<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <title>Polynôme de degré 2</title>
<script type="text/javascript">
  window.MathJax = {
    tex2jax: {
      inlineMath: [ ['$','$'], ["\\(","\\)"] ],
      processEscapes: true
    }
  };
</script>
    <script type="text/javascript"
   src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.5/MathJax.js?config=TeX-AMS_HTML">
</script>
  </head>
<body>

<?php

function carre_parfait($a)
{
   return (abs($ra - round($ra)) < 0.000001);
}

$a = $_GET['a'];
$b = $_GET['b'];
$c = $_GET['c'];

# on construit le texte du polynome
if ($a == 1)
   $a0 = "x^2";
elseif ($a == -1)
   $a0 = "-x^2";
else
   $a0 = strval($a) . "x^2";

if ($b == 1)
   $b0 = "+x";
elseif ($b == -1)
   $b0 = "-x";
elseif ($b > 0)
   $b0 = "+" . strval($b) . "x";
elseif ($b < 0)
   $b0 = strval($b) . "x";
else
   $b0 = "";

if ($c == 0)
   $c0 = "";
elseif ($c > 0)
   $c0 = "+" . strval($c);
else
   $c0 = strval($c);

$texte_polynome = "$$ f(x) = " .$a0 . $b0 . $c0 . "$$";

$delta = $b*$b-4*$a*$c;
#echo "delta = " . $delta . "<br>";
$texte_delta = '$$\Delta = ' . strval($b) . '^2 - 4 \times ' . strval($a) . ' \times ' . strval($c) . ' = ' . strval($delta) . "$$";

?>
<p>On étudie le polynôme : </p>
<div><?=$texte_polynome?></div>
<p>On calcule le discriminant :</p>
<div><?=$texte_delta?></div>

<?php
if ($delta < 0)
{
   echo "<p>Il n'y a pas de racines.</p>";
}
elseif ($delta ==0)
{
  echo "<p>Il y a une racine double :</p>";
  echo "<div> $$ x_0 = \dfrac{" , (-$b) , "}{" , 2 , '\times ', $a , "} = " , (-$b/(2*$a)) , "$$</div>";
}
else
{
  echo "<p>Il y a 2 racines.</p>";
  echo '<div>$$ x_1 = \dfrac{' .  -$b . ' - \sqrt{' . $delta . '}}{' . 2 . '\times ' . $a . "} = " . (-$b-sqrt($delta))/(2*$a) . " $$ <div>";
    echo '<div>$$ x_2 = \dfrac{' .  -$b . ' + \sqrt{' . $delta . '}}{' . 2 . '\times ' . $a . "} = " . (-$b+sqrt($delta))/(2*$a) . " $$ <div>";
    }

?>

<p><a href = "trinome.html">Un autre essai ?</a></p>

</body>
</html>

